Skip to main content
POST
/
medias
/
folder
Create Folder
curl --request POST \
  --url https://services.leadconnectorhq.com/medias/folder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "altId": "sx6wyHhbFdRXh302LLNR",
  "altType": "location",
  "name": "New Folder",
  "parentId": "64af50c42d567a3b4f5989e0"
}
'
{
  "altId": "sx6wyHhbFdRXh302LLNR",
  "altType": "location",
  "name": "New Folder",
  "type": "folder",
  "parentId": "64af50c42d567a3b4f5989e0",
  "deleted": false,
  "pendingUpload": false,
  "category": "image",
  "subCategory": "logo",
  "isPrivate": false,
  "relocatedFolder": false,
  "migrationCompleted": true,
  "appFolder": false,
  "isEssential": false,
  "status": "<string>",
  "lastUpdatedBy": "user-uuid-123"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account

Headers

Authorization
string

Access Token

Example:

"Bearer 9c48df2694a849b6089f9d0d3513efe"

Body

application/json
altId
string
required

Location Id

Example:

"sx6wyHhbFdRXh302LLNR"

altType
enum<string>
required

Type of entity (location only)

Available options:
location
Example:

"location"

name
string
required

Name of the folder to be created

Example:

"New Folder"

parentId
string

ID of the parent folder (optional)

Example:

"64af50c42d567a3b4f5989e0"

Response

200 - application/json

Returns the newly created folder object

altId
string
required

Location identifier that owns this folder

Example:

"sx6wyHhbFdRXh302LLNR"

altType
enum<string>
required

Type of entity that owns the folder

Available options:
location
Example:

"location"

name
string
required

Name of the folder

Example:

"New Folder"

type
string
required

Type of the object (always 'folder' for folders)

Example:

"folder"

parentId
string

ID of the parent folder (null for root folders)

Example:

"64af50c42d567a3b4f5989e0"

deleted
boolean

Whether the folder has been deleted

Example:

false

pendingUpload
boolean

Whether there are pending uploads to this folder

Example:

false

category
string

Primary category of content stored in the folder

Example:

"image"

subCategory
string

Sub-category of content stored in the folder

Example:

"logo"

isPrivate
boolean

Whether the folder is private and not publicly accessible

Example:

false

relocatedFolder
boolean

Whether the folder has been moved from its original location

Example:

false

migrationCompleted
boolean

Whether the data migration process has been completed for this folder

Example:

true

appFolder
boolean

Whether this is a system-generated application folder

Example:

false

isEssential
boolean

Whether the folder is essential and should not be deleted

Example:

false

status
string

Current status of the folder

lastUpdatedBy
string

ID of the user who last updated the folder

Example:

"user-uuid-123"

Last modified on March 4, 2026